## Double Hashtag indicates a comment
## Use a Single Proceeding hashtag to turn a setting "off" rather than deleting it
## Therefore never delete any line of this file
## [ ] indicates a setting section never turn those off
##
## set a baseurl before rendering for deloyment otherwise leave it turned off
# baseURL = "https://pco.kebler.net"
languageCode = "en-us"
title = "Prairie City Oregon" ## required used for tab title and navbar
# canonifyUrls = "true"         ## don't change this
staticDir = "assets" ## default is static
publishDir = "dist"  ## default is public/
# contentDir = "sections" ## default is content
# layoutDir = "plugins"   ## don't change this
theme = ["uci-hugo-landingpage", "uci-hugo-shortcodes"]

# disqusShortname = "landingpage-guide"
#disableLiveReload = true

## specific rule for renderer
[markup.goldmark.renderer]
unsafe = true # allows nested shortcodes

[params]
## Possible font setting choices throughout this config file must be a google font name with at least the 4 standard styles
## see  https://fonts.google.com/
## This applies to all font= settings in this file
font = "Open Sans" ## default Roboto, sets for entire site, can be specifically overridden below
# font = "Rubik"  ## alternative just uncomment
custom_css = [
  "uci-shortcodes-custom.css",
  "uci-shortcodes.css",
  "custom.css",
] ## can add other files in array, make corresponding file in assets/css/
# custom_js = ["custom.js","custom-docready.js"]  ## can add other files in array, make corresponding file in assets/css/
## array of gallery names created
## each one should have a corresponding images folder and gallery-<name>.html shortcode in plugins/shortcodes
## This manual system for photo galleries will be replaced in future releases
galleries = ["photos"]
## You can store your images in an external place like an s3 bucket. default is within at assets/images => /images
# imagesurl = "https://mybuckett/afolder/" ## full url must end with /
## You can store your files in an external place like an s3 bucket. default is within at assets/images => /images
filesurl = "https://mybuckettld/afolder/" ## full url must end with /
lightbox = "lightgallery"                 ## must match a lightbox function that has been loaded in javascript, only "lightgallery" available currently
# cache_timeout = 0  default is 3600 seconds = 1 
# default theme light and dark colors, should be sufficient contrast
light_color = "lightblue" # default light color, white if unset
dark_color = "darkblue"   # defaul dark color, black if unset
use_hero = true           # create a hero section as the first section

[params.navbar]
# hidden = true  ## turn off for simple page with no navigation topbar
# logo_text = "Will override site title"  ## default is to use the site Title above
# logo_text_short = "Prairie City, OR" ## alternate logo text that helps to fit on small screens without wrapping
# font = ""  ## a valid google font name - overrrides the site font above
##  All color options can use an html color name or a hex color code.  See either
## http://www.quackit.com/css/color/charts/css_color_names_chart.cfm
## https://www.colorcodehex.com/html-color-names.html
# color = "midnightblue"
bg_color = "cornflowerblue"

[params.hero]
# use hero must be set to true to use these settings
img = "strawberrys.jpg" # default is hero.jpg,  put assets/images or other location set by imagespath above
# font = "Open Sans"      # a valid google font name, default Roboto for all hero text
# color = "red"
# bg_color = "white" ## only needed if you are not using a hero image
# text_outline = ""
# text_shadow = "black"
headlines_font = "Roboto" # a valid google font name, defaults to page font or hero font above
## H1 -
headline = "Prairie City Oregon"
# headline_color = "purple"
headline_size = "9"
## H2
subheadline = "Gateway to the Strawberry Mountains"
# subheadline_color = "springgreen"
# subheadline_size = "3"
## H3
# subsubheadline = "Sub Sub Heading"
# subsubheadline_color = "seagreen"
# subsubheadline_size = "2"
## H4
lines = ["Info for Tourists", "Info for Residents"]
# lines_color = "green"
# lines_size = "1.5"
divider = true
# divider_color = "green"
divider_thickness = "3"

## Parameters used for every section of the page
[params.sections]
#font = "Acme"
#bullet_icon = "\uF069" # font awesome unicode value default to font awesome asterisk
# headline_font = "Lato"
# headline_size = "3"
# alternates these colors
# bg_color = "purple"
# color = "red"
# offset = true # shifts the sections odd/even by 1, will any styling by odd/even including colors
[params.sections.even]
# color = "bisque"
# bg_color = "brown"
[params.sections.odd]
# bg_color = "ivory"
# color = "#0099cc"
[params.sections.footer]
color = "white"
bg_color = "black"
[params.sections.comments]
#color = "darkolivegreen"
#bg_color = "palegreen"

##  an markdown file in content/modals will be available as a modally displayed content
##  Use the link shortcode with the url #modal-<filename>
##  example  {{< link url="#modal-test text="A test modal" display="modal" >}
##  where there is a file test.md   in the content/modals directory.
[params.modal]
#font = "Acme"
#color = "ivory"
#bg_color = "seagreen"
#text_size = "1.5"
# headline_size = "2"

# these will overide the default which is even section button scheme comes from odd section scheme and vice versa
[params.buttons.even]
# color = "blue"
# bg_color = "red"
# hover_color ="white"
# hover_bg_color ="purple"
[params.buttons.odd]
# color = "red"
# bg_color = "blue"
# hover_color ="purple"
# hover_bg_color ="white"

# TODO enable via shortcode
[[params.social]]
#title = "email"
#icon = "envelope-o"
#url = "mailto:4005@kebler.net"

[params.youtube]
# maxwidth = "800"  ## default maximum width for all youtubes 450px.  You can override each individually in shortcode
#  wpad = "50"  ## padding on both left and right when view width is < maxwidth  default is 5
## on mobile devices autoplay is disabled so having a fast loading thumb image requires two clicks
## to start video.  Disable thumbs only if you have just one or two videos on your page
# disable_thumb = "yes" ## display video thumbs and not thumb image  -- SLOWer to load.
